gnutls_pkcs11_token_get_ptr(3)

NAME
gnutls_pkcs11_token_get_ptr - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_get_ptr(const char * url, void ** ptr, unsigned long * slot_id, unsigned int flags);

ARGUMENTS

const char * url
    should contain a PKCS11 URL identifying a token

void ** ptr
    will contain the CK_FUNCTION_LIST_PTR pointer

unsigned long * slot_id
    will contain the slot_id (may be NULL)

unsigned int flags
    should be zero

DESCRIPTION
This function will return the function pointer of the specified token by the URL. The returned pointers are valid until gnutls is deinitialized, c.f. _global_deinit().

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error code on error.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/